import type { AgentContext } from '@credo-ts/core';
import type { ProofFormat } from './ProofFormat';
import type { FormatCreateRequestOptions, ProofFormatAcceptProposalOptions, ProofFormatAcceptRequestOptions, ProofFormatAutoRespondPresentationOptions, ProofFormatAutoRespondProposalOptions, ProofFormatAutoRespondRequestOptions, ProofFormatCreateProposalOptions, ProofFormatCreateReturn, ProofFormatGetCredentialsForRequestOptions, ProofFormatGetCredentialsForRequestReturn, ProofFormatProcessOptions, ProofFormatProcessPresentationOptions, ProofFormatSelectCredentialsForRequestOptions, ProofFormatSelectCredentialsForRequestReturn } from './ProofFormatServiceOptions';
export interface ProofFormatService<PF extends ProofFormat = ProofFormat> {
    formatKey: PF['formatKey'];
    createProposal(agentContext: AgentContext, options: ProofFormatCreateProposalOptions<PF>): Promise<ProofFormatCreateReturn>;
    processProposal(agentContext: AgentContext, options: ProofFormatProcessOptions): Promise<void>;
    acceptProposal(agentContext: AgentContext, options: ProofFormatAcceptProposalOptions<PF>): Promise<ProofFormatCreateReturn>;
    createRequest(agentContext: AgentContext, options: FormatCreateRequestOptions<PF>): Promise<ProofFormatCreateReturn>;
    processRequest(agentContext: AgentContext, options: ProofFormatProcessOptions): Promise<void>;
    acceptRequest(agentContext: AgentContext, options: ProofFormatAcceptRequestOptions<PF>): Promise<ProofFormatCreateReturn>;
    processPresentation(agentContext: AgentContext, options: ProofFormatProcessPresentationOptions): Promise<boolean>;
    getCredentialsForRequest(agentContext: AgentContext, options: ProofFormatGetCredentialsForRequestOptions<PF>): Promise<ProofFormatGetCredentialsForRequestReturn<PF>>;
    selectCredentialsForRequest(agentContext: AgentContext, options: ProofFormatSelectCredentialsForRequestOptions<PF>): Promise<ProofFormatSelectCredentialsForRequestReturn<PF>>;
    shouldAutoRespondToProposal(agentContext: AgentContext, options: ProofFormatAutoRespondProposalOptions): Promise<boolean>;
    shouldAutoRespondToRequest(agentContext: AgentContext, options: ProofFormatAutoRespondRequestOptions): Promise<boolean>;
    shouldAutoRespondToPresentation(agentContext: AgentContext, options: ProofFormatAutoRespondPresentationOptions): Promise<boolean>;
    supportsFormat(formatIdentifier: string): boolean;
}
